## dmg2img 1.6.1

=== Makefile ===
#CC = gcc
##CFLAGS = -O3
CFLAGS = -O2 -Wall
BIN_DIR = ${DESTDIR}/usr/bin

all: dmg2img vfdecrypt 

dmg2img: dmg2img.c dmg2img.h mntcmd.h gpt.h dmg2img.o base64.o adc.o 
	$(CC) -s -o dmg2img dmg2img.o base64.o adc.o -L. -lz -lbz2

dmg2img.o: dmg2img.c dmg2img.h
	$(CC) $(CFLAGS) -c dmg2img.c

base64.o: base64.c base64.h
	$(CC) $(CFLAGS) -c base64.c

adc.o: adc.c adc.h
	$(CC) $(CFLAGS) -c adc.c

vfdecrypt: vfdecrypt.c
	$(CC) $(CFLAGS) -s -o vfdecrypt vfdecrypt.c -lcrypto

install: dmg2img vfdecrypt
	mkdir -p ${BIN_DIR}
	install -c -s -m 755 -o root -g root dmg2img vfdecrypt $(BIN_DIR)

clean:
	rm -f dmg2img vfdecrypt *~ *.o core

## dmg2img 1.6.2

=== debian/changelog ===
dmg2img (1.6.2-2) unstable; urgency=low

  * Apply patch from ubuntu (thanks Stefano Rivera) to honor
    DEB_BUILD_OPTIONS (Closes: #582909).

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 27 May 2010 11:05:34 +0200

dmg2img (1.6.2-1) unstable; urgency=low

  * New upstream version.
    - Bump standards versions (no changes required).
    - Explicitly mark source format version 1.0.

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 28 Mar 2010 21:45:36 +0200

dmg2img (1.6.1-1) unstable; urgency=low

  * Initial Release (Closes: #552246)

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 25 Oct 2009 12:35:36 +0100

=== debian/control ===
Source: dmg2img
Section: utils
Priority: optional
Maintainer: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libssl-dev, zlib1g-dev, libbz2-dev
Standards-Version: 3.8.4
Homepage:  http://advancemame.sourceforge.net/boot-readme.html
Vcs-Svn: https://bollin.googlecode.com/svn/dmg2img/trunk/
Vcs-Browser: http://vu1tur.eu.org/tools/

Package: dmg2img
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for converting compress dmg files to hfsplus images
 DMG2IMG is a tool which allows converting Apple compressed dmg 
 archives to standard (hfsplus) image disk files.
 .   
 This tool handles zlib and bzip2 compressed dmg images.

## dmg2img 1.6.5

=== debian/changelog ===
dmg2img (1.6.5-1) unstable; urgency=low

  * New upstream version (Closes: #688136).
  * Bump compat to 9.
  * Bump standards version.
    - Convert licence file to machine readable format.

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 16 Nov 2013 06:24:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Soeren Sonnenburg <sonne@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libssl-dev, zlib1g-dev, libbz2-dev
-Standards-Version: 3.8.4
+Build-Depends: cdbs, debhelper (>= 9), libssl-dev, zlib1g-dev, libbz2-dev
+Standards-Version: 3.9.4
 Homepage:  http://advancemame.sourceforge.net/boot-readme.html
 Vcs-Svn: https://bollin.googlecode.com/svn/dmg2img/trunk/
 Vcs-Browser: http://vu1tur.eu.org/tools/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)

build-arch: debian/build-stamp
debian/build-stamp:
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

clean::
	$(MAKE) clean
	$(RM) debian/build-stamp 

get-orig-source:
	uscan --rename --upstream-version 0 || true
	@echo successfully retrieved upstream tarball

## dmg2img 1.6.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #CC = gcc
-##CFLAGS = -O3
 CFLAGS = -O2 -Wall
 BIN_DIR = ${DESTDIR}/usr/bin

=== debian/changelog ===
dmg2img (1.6.7-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:02 +0000

dmg2img (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.6 (Closes: #778827)
  * New upstream version 1.6.7
  * Fix FTCBFS: Let cdbs' makefile.mk pass cross compilers. (Closes: #864511)
  * Update patches
  * Update debhelper compatibility level to v10
  * Bump standards version to 4.1.1 (No changes required)
  * Fix homepage URL, remove obsolete URLs
  * Update debian/copyright file
  * Fix typo in packet description
  * New maintainer (Closes: #881838)

 -- Denys Berkovskyy <berkovskyy@gmail.com>  Wed, 22 Nov 2017 03:53:31 +0000

dmg2img (1.6.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to build with OpenSSL 1.1. (Closes: #828282)

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 28 Nov 2016 19:55:28 +0100

=== debian/control ===
Source: dmg2img
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Denys Berkovskyy <berkovskyy@gmail.com>
Build-Depends: cdbs, debhelper (>= 10), libssl-dev, zlib1g-dev, libbz2-dev
Standards-Version: 4.1.1
Homepage: http://vu1tur.eu.org/tools/

Package: dmg2img
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for converting compressed dmg files to hfsplus images
 DMG2IMG is a tool which allows converting Apple compressed dmg 
 archives to standard (hfsplus) image disk files.
 .   
 This tool handles zlib and bzip2 compressed dmg images.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*download.pl\?(.*)/$1/ \
http://vu1tur.eu.org/tools/ .*dmg2img-(.*)\.tar\.gz \
  debian debian/orig-tar.sh

## dmg2img 1.6.7+git20201227.a3e4134

=== Makefile ===
#CC = gcc
CFLAGS = -g -O2 -Wall
LDFLAGS =
BIN_DIR = ${DESTDIR}/usr/bin

all: dmg2img vfdecrypt

ifeq ($(HAVE_LZFSE),1)
override CFLAGS := $(CFLAGS) -DHAVE_LZFSE
override LDFLAGS := $(LDFLAGS) -llzfse
endif

dmg2img: dmg2img.c dmg2img.h mntcmd.h gpt.h dmg2img.o base64.o adc.o
	$(CC) -o dmg2img dmg2img.o base64.o adc.o -lz -lbz2 $(LDFLAGS)

dmg2img.o: dmg2img.c dmg2img.h
	$(CC) $(CFLAGS) -c dmg2img.c

base64.o: base64.c base64.h
	$(CC) $(CFLAGS) -c base64.c

adc.o: adc.c adc.h
	$(CC) $(CFLAGS) -c adc.c

vfdecrypt: vfdecrypt.c
	$(CC) $(CFLAGS) -o vfdecrypt vfdecrypt.c -lcrypto $(LDFLAGS)

install: dmg2img vfdecrypt
	mkdir -p ${BIN_DIR}
	install -c -m 755 dmg2img vfdecrypt $(BIN_DIR)

install-strip: dmg2img vfdecrypt
	mkdir -p ${BIN_DIR}
	install -s -c -m 755 dmg2img vfdecrypt $(BIN_DIR)

clean:
	rm -f dmg2img vfdecrypt *~ *.o core

=== debian/changelog ===
dmg2img (1.6.7+git20201227.a3e4134-0.1) unstable; urgency=medium

  * Non-maintainer upload.
    Closes: #1095987
  * Maintain package in Debian team
  * Switch from cdbs to dh
  * Point watch file to fork on Github with LZFSE support
    Closes: #1033351
  * Drop information that is provided in d/copyright from README.Debian
  * Drop unused lintian-overrides
  * Propagate hardening options
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 10 Mar 2025 08:22:36 +0100

=== debian/control ===
Source: dmg2img
Section: utils
Priority: optional
Maintainer: Denys Berkovskyy <berkovskyy@gmail.com>
Build-Depends: debhelper-compat (= 13), libssl-dev, zlib1g-dev, libbz2-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/dmg2img
Vcs-Git: https://salsa.debian.org/debian/dmg2img.git
Homepage: http://vu1tur.eu.org/tools/

Package: dmg2img
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for converting compressed dmg files to hfsplus images
 DMG2IMG is a tool which allows converting Apple compressed dmg
 archives to standard (hfsplus) image disk files.
 .
 This tool handles zlib and bzip2 compressed dmg images.

=== debian/watch ===
version=4

opts="mode=git,pretty=1.6.7+git%cd.%h" \
    https://github.com/Lekensteyn/dmg2img.git HEAD
